Class | Bio::Registry::DB
In: | lib/bio/io/registry.rb
Parent: | Object

### Methods

[]= method_missing new

### Attributes

database | [R] |

### Public Class methods

new(dbname)

[Source]

         # File lib/bio/io/registry.rb, line 244
    244:     def initialize(dbname)
    245:       @database = dbname
    246:       @property = Hash.new
    247:     end

### Public Instance methods

[]=(tag, value)

[Source]

         # File lib/bio/io/registry.rb, line 254
    254:     def []=(tag, value)
    255:       @property[tag] = value
    256:     end

method_missing(meth_id)

[Source]

         # File lib/bio/io/registry.rb, line 250
    250:     def method_missing(meth_id)
    251:       @property[meth_id.id2name]
    252:     end

[Validate]